1.7.7 OpenSSl broken for PHP

Problems with the Windows version of XAMPP, questions, comments, and anything related.

1.7.7 OpenSSl broken for PHP

Postby JohnStevenson » 24. December 2011 21:09

Are you aware that you cannot use many of PHP's openssl functions without crashing Apache (1.7.7 for Windows, PHP 5.3.8 ). The problem is that the version of the open ssl libraries that Apache is compiled with is not the same as the ones that PHP uses. More info here:

https://bugs.php.net/bug.php?id=55470.

I had just upgraded from 1.7.1 and spent far too long finding this out. Oh well, back to the good old days of a separate Apache, PHP and Mysql (which is actually much easier to set-up than it used to be).

Cheers

John
JohnStevenson
 
Posts: 1
Joined: 24. December 2011 20:57
XAMPP Version: 5.6.3
Operating System: Windows Vista

Re: 1.7.7 OpenSSl broken for PHP

Postby nick_bg » 31. December 2011 12:41

Thank you for the info!

Before finding this thread I spent a good few hours trying to figure out why my email script was giving me an SSL error.

I'm back to 1.7.3 and everything works as expected now. I hope they fix this issue in the next version.
nick_bg
 
Posts: 1
Joined: 31. December 2011 12:35
XAMPP Version: 1.8.3-2
Operating System: Windows 7

Re: 1.7.7 OpenSSl broken for PHP

Postby SEO » 23. May 2012 11:44

Hi there!

Has this bug been fixed yet or did you find a solution for this problem yet? I am experiencing problems with the following PHP function for authenticating with the new Google OAuth 2.0 system.

Code: Select all
openssl_sign($data, $signature, $this->privateKey, "sha256");


http://code.google.com/p/google-api-php-client/wiki/OAuth2#Service_Accounts

Best Regards,
Jan
SEO
 
Posts: 2
Joined: 23. May 2012 11:39
XAMPP Version: 5.6.3
Operating System: Windows 7

Re: 1.7.7 OpenSSl broken for PHP

Postby SEO » 23. May 2012 12:45

I found a solution for the problem, it seems there are 2 wrong files in /apache/bin/ in the default 1.7.7 installation that need to be replaced by the files existing in /php/ (libeay32.ddl and ssleay32.dll)

http://www.spot-net.nl/forums/viewtopic ... 182#p45645

[edited by JonB - as the forum is in Dutch, I suggest you open in a Chrome browser & use built-in translator]
SEO
 
Posts: 2
Joined: 23. May 2012 11:39
XAMPP Version: 5.6.3
Operating System: Windows 7


Return to XAMPP for Windows

Who is online

Users browsing this forum: db5023 and 31 guests